Text.CSL.Style

readCSLString

writeCSLString

data Formatted

data Style

data Locale

mergeLocales

data CslTerm

newTerm

findTerm

findTerm'

data Abbreviations

type MacroMap

data Citation

data Bibliography

type Option

mergeOptions

data Layout

data Element

data IfThen

data Condition

type Delimiter

data Match

match

data DatePart

defaultDate

data Sort

data Sorting

compare'

data Form

data Gender

data NumericForm

data DateForm

data Plural

data Name

type NameAttrs

data NamePart

isPlural

isName

isNames

hasEtAl

data Formatting

emptyFormatting

rmTitleCase

data Quote

mergeFM

data CSInfo

data CSAuthor

data CSCategory

data CiteprocError

data Output

type Citations

data Cite

emptyCite

data CitationGroup

data BiblioData

data CiteData

data NameData

isPunctuationInQuote

object'

data Agent

emptyAgent